Bug 214333 - Anaconda refuses to see an ZCR 20xx RAID-10 disk
Anaconda refuses to see an ZCR 20xx RAID-10 disk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-06 21:30 EST by Alberto Vorano
Modified: 2008-05-06 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:43:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alberto Vorano 2006-11-06 21:30:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 1.1.4322)

Description of problem:
Installing FC6 on a dual xeon supermicro with an onboard AIC-79xx plus an ZCR 20xx controlling both SCSI CD/DVDs and a RAID-10 crashes in the early steps if booting from a SCSI CD, as it is recognized until i2o module is mounted and then no more. Opposedly, if booting from an IDE CD/DVD, the partitioning utility does not see any RAID disk.

Version-Release number of selected component (if applicable):
kernel 2.6.18

How reproducible:
Always


Steps to Reproduce:
1. As above in description
2.
3.

Actual Results:
installation on RAIDs impossible

Expected Results:
plain RAID installation

Additional info:
Maybe this is due to different behaviour of i2o module than older dpt_i2o module: on old documentation (Fedora Core 3 release notes.htm)I have found that on i2o modules drives are arranged as /dev/i2o/hd* instead of 'normal' /dev/sd*:
"I2O SCSI RAID adapters from manufacturers such as Adaptec now use the i2o_block driver, rather than the dpt_i2o driver used by Fedora Core 1 and earlier distributions.

Be aware that block devices used by the i2o_block driver are /dev/i2o/hd* rather than the /dev/sd* SCSI devices. This may be problematic for those upgrading from older distributions that used the dpt_i2o driver. Therefore, after an upgrade to Fedora Core 3, you may need to boot using a rescue disk and edit your /etc/fstab file to use the new devices."
Comment 1 Bug Zapper 2008-04-04 00:28:59 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:43:42 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.